package Variables

import (
	"os"
)

const (
	DatabaseName       string = "package_manager.db"
	FsHashDatabaseName string = "fs_hash.db"
)

var (
	RootDir           string = "/"
	FsHashPicksBucket []byte = []byte("FilesystemPicks")
	FsHashIndexBucket []byte = []byte("FilesystemIndex")

	PruneRegexPaths []string = []string{
		"^/\\.git$",
		"^/dist$",
		"^/boot/grub$",
		"^/proc$",
		"^/dev$",
		"^/mnt$",
		"^/sys$",
		"^/src$",
		"^/root$",
		"^/home$",
		"^/build$",
		"^/tools$",
		"/lost\\+found$",
	}

	IgnoreRegexPaths []string = []string{
		"^/etc/passwd$",
		"^/etc/passwd-$",
		"^/etc/group$",
		"^/etc/group-$",
	}
)

func init() {
	var (
		rootDir string
	)
	rootDir = os.Getenv("ROOTDIR")
	if rootDir != "" {
		RootDir = rootDir
	}
}
